version: '2'

services:
  mumble:
    build: ./data
    hostname: mumble
    container_name: mumble
    restart: always
    entrypoint:
      - murmurd
      - -fg
    volumes:
      - ./data/mumble-server.ini:/etc/mumble-server.ini:ro
      - /opt/docker/secure/privkey.pem:/etc/mumble-ssl/privkey.pem:ro
      - /opt/docker/secure/fullchain.pem:/etc/mumble-ssl/fullchain.pem:ro
      - ./data/lib:/var/lib/mumble-server
    network_mode: host
#    ports:
#      - 64738:64738
#      - 64738:64738/udp
#    networks:
#      mynet:
#        ipv4_address: 172.6.0.101
#        
#networks:
#  mynet:
#    driver: bridge
#    ipam:
#      config:
#      - subnet: 172.6.0.0/24
#
